////////////////////////////////////////// Plot - PlotTextView.m (mwx,07.09.06)
#import <Cocoa/Cocoa.h>
@class 	PlotDocument ;
@class	Manager;


@interface PlotTextView : NSTextView {
	@public;
	int tag;
	PlotDocument *PD;
	Manager *M;
	NSPoint tloc,dloc;
	NSRect lr;
	NSCursor *arrowCursor, *IBeamCursor;
	int autoposloc,autoposangle;
	BOOL autopos;
	double autoposoffset;
	double angle;
	int posmode,tbalign;
	double x,y;
}

- (id)initWithFrame:(NSRect)frameRect:(Manager *)m:(PlotDocument *)pd;
- (void)setup:(Manager *)m:(PlotDocument *)pd;
- (BOOL)acceptsFirstResponder;
- (BOOL)acceptsFirstMouse:(NSEvent *)theEvent;
- (void)resetCursorRects;
- (id)initWithFrame:(NSRect)frameRect:(Manager *)m:(PlotDocument *)pd;
- (void)setup:(Manager *)m:(PlotDocument *)pd;
- (void)textHasChanged:(NSNotification *)note;
- (void)doAutoPos;
- (void)align;
- (void)setFloat:(int)axis;
- (void)setPosition:(double)ax:(double)ay;
- (void)drawRect:(NSRect)rect;
- (void)mouseDown:(NSEvent *)theEvent;
- (void)mouseDragged:(NSEvent *)theEvent;
- (void)mouseUp:(NSEvent *)theEvent;
- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;

@end ////////////////////////////////////////////////////////////////////// END
